
/* 合服sql说明:此语句在主服查询运行
# actor_C1 ：主数据库名称actor_C1
# actor_C2 ：从数据库名称actor_C2
# 1 ：主服服数1
# 2 ：从服服数2
*/

update actor_C2.actors set serverindex = 2;

use actor_C1;

/* ignore import tables
#accounts
#filternames
#gameserveraddress
#jobcount
#toprank
#zycount
 */

/* drop actorname index */
drop index actor_name on actor_C1.actors;

/* begin data import */
insert into actorachieve (select * from actor_C2.actorachieve);
insert into actoractivity (select * from actor_C2.actoractivity);
insert into actoralmirahitem (select * from actor_C2.actoralmirahitem);
insert into actorapplyguildresult (select * from actor_C2.actorapplyguildresult);
insert into actorbagitem (select * from actor_C2.actorbagitem);
insert into actorbinarydata (select * from actor_C2.actorbinarydata);
insert into actordeath (select * from actor_C2.actordeath);
insert into actordeathdrop (select * from actor_C2.actordeathdrop);
insert into actordepotitem (select * from actor_C2.actordepotitem);
insert into actorequipitem (select * from actor_C2.actorequipitem);
insert into actorfriends (select * from actor_C2.actorfriends);
insert into actorgameotherSets (select * from actor_C2.actorgameotherSets);
insert into actorghost (select * from actor_C2.actorghost);
insert into actorguild (select * from actor_C2.actorguild);
insert into actornewtitle (select * from actor_C2.actornewtitle);
insert into actorofflinedata (select * from actor_C2.actorofflinedata);
insert into actorpetitem (select * from actor_C2.actorpetitem);
insert into actorpets (select * from actor_C2.actorpets);
insert into actorrelation (select * from actor_C2.actorrelation);
insert into actors (select * from actor_C2.actors);
insert into actorsoldiersoul (select * from actor_C2.actorsoldiersoul);
insert into actorstaticcount (select * from actor_C2.actorstaticcount);
insert into actorstrengthen (select * from actor_C2.actorstrengthen);
insert into actorvariable (select * from actor_C2.actorvariable);
insert into brothgrouplist (select * from actor_C2.brothgrouplist);
insert into clickcreaterole (select * from actor_C2.clickcreaterole);
insert into combatgame (select * from actor_C2.combatgame);
insert into combatinfo (select * from actor_C2.combatinfo);
insert into combatlog (select * from actor_C2.combatlog);
insert into combatrecord (select * from actor_C2.combatrecord);
insert into consignmentincome (select * from actor_C2.consignmentincome);
insert into consignmentitem (select * from actor_C2.consignmentitem);
insert into createrolesuc (select * from actor_C2.createrolesuc);
insert into entercreaterole (select * from actor_C2.entercreaterole);
insert into entergame (select * from actor_C2.entergame);
insert into enterplatform (select * from actor_C2.enterplatform);
insert into feecallback (select * from actor_C2.feecallback);
insert into friendchatmsg (select * from actor_C2.friendchatmsg);
insert into friends (select * from actor_C2.friends);
insert into gameserveraddress (select * from actor_C2.gameserveraddress);
insert into gamesetdata (select * from actor_C2.gamesetdata);
insert into goingquest (select * from actor_C2.goingquest);
insert into guildapplylist (select * from actor_C2.guildapplylist);
insert into guildapplyresult (select * from actor_C2.guildapplyresult);
insert into guildevent (select * from actor_C2.guildevent);
insert into guildlist (select * from actor_C2.guildlist);
insert into guildskill (select * from actor_C2.guildskill);
insert into guildstore (select * from actor_C2.guildstore);
insert into guildstorerecord (select * from actor_C2.guildstorerecord);
insert into guildwar (select * from actor_C2.guildwar);
insert into guildwarhistory (select * from actor_C2.guildwarhistory);
insert into offlineachieve (select * from actor_C2.offlineachieve);
insert into periodride (select * from actor_C2.periodride);
insert into petskills (select * from actor_C2.petskills);
insert into repeatquest (select * from actor_C2.repeatquest);
insert into servermail (select * from actor_C2.servermail);
insert into servermailattach (select * from actor_C2.servermailattach);
insert into skill (select * from actor_C2.skill);
insert into toprank (select * from actor_C2.toprank);
insert into validate (select * from actor_C2.validate);


insert into mail(mailid,actorid,srcid,title,content,createdt,state,isdel) (select mailid,actorid,srcid,title,content,createdt,state,isdel from actor_C2.mail);
insert into mailattach(mailid,actorid,type,itemguid,itemidquastrong,itemduration,itemcountflag,iteminlayhole,itemtime,itemreservs,itemsmith1,itemsmith2,itemsmith3,itemsmith4,itemsmith5,itemreservs2,initsmith) (select mailid,actorid,type,itemguid,itemidquastrong,itemduration,itemcountflag,iteminlayhole,itemtime,itemreservs,itemsmith1,itemsmith2,itemsmith3,itemsmith4,itemsmith5,itemreservs2,initsmith from actor_C2.mailattach);
insert into actormsg(actorid,msgtype,msg) (select actorid,msgtype,msg from actor_C2.actormsg);
insert into useritem(accountid,actorid,itemid,bind,strong,quality,itemcount,serverindex,memo,reser1,reser2) (select accountid,actorid,itemid,bind,strong,quality,itemcount,serverindex,memo,reser1,reser2 from actor_C2.useritem where serverindex=2);
/* end data import */


/* begin role rename */
drop table if exists tmp_charname;
create temporary table tmp_charname (select actorname from actors group by actorname having count(*) >1);
UPDATE actors SET actorname=CONCAT(actorname,'[2]') WHERE (actorname in (SELECT actorname FROM tmp_charname) and serverindex=2);
drop table tmp_charname;
/* end role rename */


/* begin guild rename */
drop table if exists tmp_charguildname;
create temporary table tmp_charguildname (select guildname from guildlist group by guildname having count(*) >1);
UPDATE guildlist SET guildname=CONCAT(guildname,'[2]') WHERE (guildname in (SELECT guildname FROM tmp_charguildname) and serverindex=2);
drop table tmp_charguildname;
/* end guild rename */


/* begin update server index */
update accountpsw set serverindex = 1;
update actors set serverindex = 1;
update brothgrouplist set serverindex = 1;
update clickcreaterole set serverindex = 1;
update consignmentincome set serverindex = 1;
update consignmentitem set serverindex = 1;
update createrolesuc set serverindex = 1;
update entercreaterole set serverindex = 1;
update entergame set serverindex = 1;
update enterplatform set serverindex = 1;
update gameserveraddress set serverindex = 1;
update guildlist set serverindex = 1;
update jobcount set serverindex = 1;
update toprank set serverindex = 1;
update useritem set serverindex = 1;
update validate set serverindex = 1;
update zycount set serverindex = 1;
/* end update server index */


/* add actorname index */
ALTER TABLE `actors` ADD UNIQUE INDEX `actor_name` USING BTREE (`actorname`);

update guildlist set signupflag=0;

/* begin clean actors */

/* ignore clean tables
#actorrelation
#brothgrouplist
#combatgame
#combatrecord
#diamond
#friendchatmsg
#friends
#gamesetdata
#periodride
*/

drop table if exists tmp_actorid;
CREATE TEMPORARY TABLE tmp_actorid (`actorid`  int(10) unsigned not null primary key);
insert into tmp_actorid (select actorid from actors where updatetime < (NOW() -  INTERVAL 4 DAY) and level <= 70 and circle < 1 and nonbindyuanbao=0 and drawybcount=0);

delete from actorbagitem where actorid in (select actorid from tmp_actorid);
delete from actorbinarydata where actorid in (select actorid from tmp_actorid);
delete from actordepotitem where actorid in (select actorid from tmp_actorid);
delete from actorequipitem where actorid in (select actorid from tmp_actorid);
delete from actorfriends where actorid in (select actorid from tmp_actorid);
delete from actorguild where actorid in (select actorid from tmp_actorid);
delete from mail where actorid in (select actorid from tmp_actorid);
delete from actormsg where actorid in (select actorid from tmp_actorid);
delete from actorpetitem where actorid in (select actorid from tmp_actorid);
delete from actorpets where actorid in (select actorid from tmp_actorid);
delete from actors where actorid in (select actorid from tmp_actorid);
delete from actorvariable where actorid in (select actorid from tmp_actorid);
delete from goingquest where actorid in (select actorid from tmp_actorid);
delete from guildstore where actorid in (select actorid from tmp_actorid);
delete from petskills where actorid in (select actorid from tmp_actorid);
delete from repeatquest where actorid in (select actorid from tmp_actorid);
delete from skill where actorid in (select actorid from tmp_actorid);
delete from useritem where actorid in (select actorid from tmp_actorid);

drop table tmp_actorid;
/* end clean actors */

/* begin clear tables */
delete from guildevent;
delete from toprank;
delete from zycount;
/* end clear tables */
